#pragma once
#include "Main.h"

class Menu
{
public:
	void InitMenu(Sandbox& sandbox);
	bool CheckMouse(Sandbox& sandbox, glm::ivec2 Mouse);

private:
	void CreateBorder(Sandbox& sandbox);
	void CreateBox(Sandbox& sandbox, Types type, glm::ivec2 pos);
	void CreateText(Sandbox& sandbox, Types type, glm::ivec2 pos, const char* text);
	void CreateLetter(Sandbox& sandbox, Types type, glm::ivec2 pos, const char letter);

	const std::vector<Types> types = {
		Types::Sand,
		Types::Water,
		Types::Lava,
		Types::Stone,
		Types::Clone,
		Types::Ice,
		Types::Cloud,
		Types::Fire,
		Types::Oil,
		Types::Powder,
		Types::Acid,
		Types::Gas};

	const char* EnumString[12] = {
		"sand",
		"water",
		"lava",
		"stone",
		"clone",
		"ice",
		"cloud",
		"fire",
		"oil",
		"powder",
		"acid",
		"gas"};
};