#pragma once
#include <glm/vec2.hpp>
#include <glm/vec3.hpp>

enum struct Types;
class Sandbox;

enum struct Direction
{
	Up,
	Down,
	Left,
	Right,
	ULeft,
	URight,
	BLeft,
	BRight
};

class Update
{
public:
	Update(Sandbox& p_sandbox, Types p_type, glm::ivec2 p_pos, bool InArray);
	Update() : pos(), type(), CloneType() {}
	~Update()
	{
		int x = 6;
	}

	void UpdateCell(Sandbox& p_sandbox);
	glm::vec3 RenderCell();

	glm::ivec2 pos;
	Types type;
	Types CloneType;
	bool QueueDelete = false;

private:
	void Move(Sandbox&, Direction);

	void Sand(Sandbox&);
	void Water(Sandbox&);
	void Lava(Sandbox&);
	void Stone(Sandbox&);
	void Clone(Sandbox&);
	void Ice(Sandbox&);
	void Cloud(Sandbox&);
	void Fire(Sandbox&);
	void Oil(Sandbox&);
	void Powder(Sandbox&);
	void Acid(Sandbox&);
	void Gas(Sandbox&);
};